%BERERGNINGER P ELEKTRISK KOSTNAD
filename = 'elspot-prices_2015_hourly_nok.xls';
xlRange = 'K4:K8764';
elspotAar = xlsread(filename,xlRange); %pris i NOK/MWh

%Hvis verdi mangler s settes det inn for forrige timesverdi
for i = 1:length(elspotAar)
    if (isnan(elspotAar(i,1)) == 1)
        elspotAar(i,1) = elspotAar(i-1,1);
    end
end

elspotAar = elspotAar/1000; %Endrer til NOK/kWh

%nettLeieArr = [5.2 5.2 5.2 3 3 3 3 3 3 3 5.2 5.2]; % [re/kWh]

elPris = zeros(length(elspotAar),1);

%legger til nettleie, 3 re sommer 5.2 re vinter
for i = 1:length(elspotAar)
    if (i < 2164) || (i > 7300)
        elPris(i,1) = elspotAar(i,1) + 0.052;
    else
        elPris(i,1) = elspotAar(i,1) + 0.03;
    end
end

elPrisMin = zeros(525600,1);
%8760 timer i ret
for h = 1:8760
    for m = 1:60
        elPrisMin((m+(h-1)*60),1) = elPris(h,1);
    end
end

%Kun n av disse skal vre aktive samtidig:
%For elektriske laster i normal drift
%Wmin = evalin( 'base', 'Welkjel');
%For hele kretsen
Wmin = evalin( 'base', 'Wtot_hovedkrets');


%Regne ut effektledd til strmprisen
%M finne maks effekt hver mned
EffMax = zeros (12,1);

EffMax(1,1) = max(Wmin.Data(1:40320,1));
EffMax(2,1) = max(Wmin.Data(40321:84960,1));
EffMax(3,1) = max(Wmin.Data(84961:128160,1));
EffMax(4,1) = max(Wmin.Data(128161:172800,1));
EffMax(5,1) = max(Wmin.Data(172801:216000,1));
EffMax(6,1) = max(Wmin.Data(216001:260640,1));
EffMax(7,1) = max(Wmin.Data(260641:305280,1));
EffMax(8,1) = max(Wmin.Data(305281:348480,1));
EffMax(9,1) = max(Wmin.Data(348481:393120,1));
EffMax(10,1) = max(Wmin.Data(393121:436320,1));
EffMax(11,1) = max(Wmin.Data(436321:480960,1));
EffMax(12,1) = max(Wmin.Data(480961:525600,1));

%EffCost er effektleddet i nettleien
EffCost = 0;

for m = 1:12
    if m == 1 || m == 2 || m == 12
        EffCost = EffCost + EffMax(m,1)*0.139;
    end
    if m == 3 || m == 11
        EffCost = EffCost + EffMax(m,1)*0.076;
    end
    if m == 4 || m == 5 || m == 6 || m == 7 || m == 8 || m == 9 || m == 10
        EffCost = EffCost + EffMax(m,1)*0.011;
    end
end

%currCost er prisen fra Nordpoolspot inklusive energileddet i nettleien
currCost = 0;
for m = 1:525600
    currCost = currCost + (((Wmin.Data(m,1))/60000)*elPrisMin(m,1));
end

TotalKostnad = currCost + EffCost;
clear filename xlRange elspotAar elPris Wmin elPrisMin