%LADING TERMISK BRNNER GJENNOM RET
filename = 'elspot-prices_2015_hourly_nok.xls';
xlRange = 'K4:K8764';
elspotAar = xlsread(filename,xlRange); %pris i NOK/MWh

%Hvis verdi mangler s settes det inn for forrige timesverdi
for i = 1:length(elspotAar)
    if (isnan(elspotAar(i,1)) == 1)
        elspotAar(i,1) = elspotAar(i-1,1);
    end
end

elspotAar = elspotAar/1000; %Endrer til NOK/kWh

figure(1)
plot(elspotAar(:,1)) %Skriver ut elspotprisen
xlabel('Timer')
ylabel('Pris [NOK/kWhh]')
grid on

nettLeieArr = [5.2 5.2 5.2 3 3 3 3 3 3 3 5.2 5.2]; % [re/kWh]
nettLeie = 0.01*(mean(nettLeieArr)); %[NOK/kWh]

elPris = elspotAar + nettLeie;

kWh_lad = 369780;
antallDager = 365;
natt = 8; %Badet stengt fra 22-6
kW_jevn = kWh_lad/(365*24); %jevnt uttak hele ret
kWel_natt = kWh_lad/(antallDager*natt); %Samme som kWh/t siden jevnt uttak natt
nattCost = 0; %Kostnad som regnes ut gjennom iterasjon bare p nattestid
jevnCost = 0; %kostnad jevnt p hele ret

for d = 1:365
    for h = 1:24
        currHour = h + ((d-1)*24);
        jevnCost = jevnCost + elPris(currHour,1)*kW_jevn;
        if (h > 21) || (h < 6)
            nattCost = nattCost + kWel_natt*elPris(currHour,1);
        end
    end
end

el_C(1,1) = nattCost;
el_C(2,1) = jevnCost;


clear filename xlRange currCost currHour h d kWel kWh_lad antallDager natt
clear elspotSommer  nattCost jevnCost